#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QLabel>
#include <QSpinBox>
#include <QPushButton>
#include "cdictionaryinttoint.h"
#include <QTextEdit>

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    MainWindow();
    
private slots:
    void onGetButtonClicked();
    void onSetButtonClicked();
    void onRemoveButtonClicked();
    void onFeedButtonClicked();
    void checkTextEditInput();
    void save();
    void about();
    void clear();
    
private:
    QLabel *keyLabel;
    QLabel *valueLabel;
    QSpinBox *keySpinBox;
    QSpinBox *valueSpinBox;
    QPushButton *getButton;
    QPushButton *setButton;
    QPushButton *removeButton;
    CDictionaryIntToInt dictionary;
    QTextEdit *textEditInput;
    QTextEdit *textEditOutput;
    QPushButton *buttonUnderTextEdit2;
    
    void animateSpinBox();
    void setupUi();
    void connectSignalsAndSlots();
};

#endif // MAINWINDOW_H
